<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_222) on Fri Oct 09 16:38:45 CEST 2020 -->
<title>Uses of Interface PartType</title>
<meta name="date" content="2020-10-09">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface PartType";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../PartType.html" title="interface in &lt;Unnamed&gt;">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?class-use/PartType.html" target="_top">Frames</a></li>
<li><a href="PartType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface PartType" class="title">Uses of Interface<br>PartType</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name>
<!--   -->
</a>
<h3>Uses of <a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a> in <a href="../package-summary.html">&lt;Unnamed&gt;</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../package-summary.html">&lt;Unnamed&gt;</a> that return <a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configuration.</span><code><span class="memberNameLink"><a href="../Configuration.html#getSelectionForCategory-Category-">getSelectionForCategory</a></span>(<a href="../Category.html" title="interface in &lt;Unnamed&gt;">Category</a>&nbsp;category)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../package-summary.html">&lt;Unnamed&gt;</a> that return types with arguments of type <a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityChecker.</span><code><span class="memberNameLink"><a href="../CompatibilityChecker.html#getIncompatibilities-PartType-">getIncompatibilities</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityChecker.</span><code><span class="memberNameLink"><a href="../CompatibilityChecker.html#getRequirements-PartType-">getRequirements</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Configuration.</span><code><span class="memberNameLink"><a href="../Configuration.html#getSelectedParts--">getSelectedParts</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Configurator.</span><code><span class="memberNameLink"><a href="../Configurator.html#getVariants-Category-">getVariants</a></span>(<a href="../Category.html" title="interface in &lt;Unnamed&gt;">Category</a>&nbsp;category)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../package-summary.html">&lt;Unnamed&gt;</a> with parameters of type <a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityManager.</span><code><span class="memberNameLink"><a href="../CompatibilityManager.html#addIncompatibilities-PartType-java.util.Set-">addIncompatibilities</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                    java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</code>
<div class="block">require : the target can't be in the reference's Requirements</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityManager.</span><code><span class="memberNameLink"><a href="../CompatibilityManager.html#addRequirements-PartType-java.util.Set-">addRequirements</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
               java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</code>
<div class="block">require : the target can't be in the reference's Incompatibilities</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityChecker.</span><code><span class="memberNameLink"><a href="../CompatibilityChecker.html#getIncompatibilities-PartType-">getIncompatibilities</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityChecker.</span><code><span class="memberNameLink"><a href="../CompatibilityChecker.html#getRequirements-PartType-">getRequirements</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityManager.</span><code><span class="memberNameLink"><a href="../CompatibilityManager.html#removeIncompatibility-PartType-PartType-">removeIncompatibility</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                     <a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;target)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityManager.</span><code><span class="memberNameLink"><a href="../CompatibilityManager.html#removeRequirement-PartType-PartType-">removeRequirement</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                 <a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;target)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Configuration.</span><code><span class="memberNameLink"><a href="../Configuration.html#selectPart-PartType-">selectPart</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;chosenPart)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../package-summary.html">&lt;Unnamed&gt;</a> with type arguments of type <a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityManager.</span><code><span class="memberNameLink"><a href="../CompatibilityManager.html#addIncompatibilities-PartType-java.util.Set-">addIncompatibilities</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                    java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</code>
<div class="block">require : the target can't be in the reference's Requirements</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompatibilityManager.</span><code><span class="memberNameLink"><a href="../CompatibilityManager.html#addRequirements-PartType-java.util.Set-">addRequirements</a></span>(<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
               java.util.Set&lt;<a href="../PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</code>
<div class="block">require : the target can't be in the reference's Incompatibilities</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../PartType.html" title="interface in &lt;Unnamed&gt;">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?class-use/PartType.html" target="_top">Frames</a></li>
<li><a href="PartType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
